--- /dev/null	Thu Aug 30 18:39:45 2018
+++ new/usr/src/test/util-tests/tests/dis/risc-v/tst.rv32d.out	Thu Aug 30 18:39:45 2018
@@ -0,0 +1,90 @@
+    libdis_test:       87 30 09 00        fld ft1,0x0(s2)
+    libdis_test+0x4:   87 30 c9 ff        fld ft1,-0x4(s2)
+    libdis_test+0x8:   87 30 29 04        fld ft1,0x42(s2)
+    libdis_test+0xc:   27 30 19 00        fsd ft1,0x0(s2)
+    libdis_test+0x10:  27 3e 19 fe        fsd ft1,-0x4(s2)
+    libdis_test+0x14:  27 31 19 04        fsd ft1,0x42(s2)
+    libdis_test+0x18:  c3 70 31 22        fmadd.d ft1,ft2,ft3,ft4
+    libdis_test+0x1c:  c3 00 31 22        fmadd.d ft1,ft2,ft3,ft4,rne
+    libdis_test+0x20:  c3 10 31 22        fmadd.d ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x24:  c3 20 31 22        fmadd.d ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x28:  c3 30 31 22        fmadd.d ft1,ft2,ft3,ft4,rup
+    libdis_test+0x2c:  c3 40 31 22        fmadd.d ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x30:  c7 70 31 22        fmsub.d ft1,ft2,ft3,ft4
+    libdis_test+0x34:  c7 00 31 22        fmsub.d ft1,ft2,ft3,ft4,rne
+    libdis_test+0x38:  c7 10 31 22        fmsub.d ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x3c:  c7 20 31 22        fmsub.d ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x40:  c7 30 31 22        fmsub.d ft1,ft2,ft3,ft4,rup
+    libdis_test+0x44:  c7 40 31 22        fmsub.d ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x48:  cb 70 31 22        fnmsub.d ft1,ft2,ft3,ft4
+    libdis_test+0x4c:  cb 00 31 22        fnmsub.d ft1,ft2,ft3,ft4,rne
+    libdis_test+0x50:  cb 10 31 22        fnmsub.d ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x54:  cb 20 31 22        fnmsub.d ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x58:  cb 30 31 22        fnmsub.d ft1,ft2,ft3,ft4,rup
+    libdis_test+0x5c:  cb 40 31 22        fnmsub.d ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x60:  cf 70 31 22        fnmadd.d ft1,ft2,ft3,ft4
+    libdis_test+0x64:  cf 00 31 22        fnmadd.d ft1,ft2,ft3,ft4,rne
+    libdis_test+0x68:  cf 10 31 22        fnmadd.d ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x6c:  cf 20 31 22        fnmadd.d ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x70:  cf 30 31 22        fnmadd.d ft1,ft2,ft3,ft4,rup
+    libdis_test+0x74:  cf 40 31 22        fnmadd.d ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x78:  53 f4 24 03        fadd.d fs0,fs1,fs2
+    libdis_test+0x7c:  d3 04 39 03        fadd.d fs1,fs2,fs3,rne
+    libdis_test+0x80:  53 99 49 03        fadd.d fs2,fs3,fs4,rtz
+    libdis_test+0x84:  d3 29 5a 03        fadd.d fs3,fs4,fs5,rdn
+    libdis_test+0x88:  53 ba 6a 03        fadd.d fs4,fs5,fs6,rup
+    libdis_test+0x8c:  d3 4a 7b 03        fadd.d fs5,fs6,fs7,rmm
+    libdis_test+0x90:  53 f4 24 0b        fsub.d fs0,fs1,fs2
+    libdis_test+0x94:  d3 04 39 0b        fsub.d fs1,fs2,fs3,rne
+    libdis_test+0x98:  53 99 49 0b        fsub.d fs2,fs3,fs4,rtz
+    libdis_test+0x9c:  d3 29 5a 0b        fsub.d fs3,fs4,fs5,rdn
+    libdis_test+0xa0:  53 ba 6a 0b        fsub.d fs4,fs5,fs6,rup
+    libdis_test+0xa4:  d3 4a 7b 0b        fsub.d fs5,fs6,fs7,rmm
+    libdis_test+0xa8:  53 f4 24 13        fmul.d fs0,fs1,fs2
+    libdis_test+0xac:  d3 04 39 13        fmul.d fs1,fs2,fs3,rne
+    libdis_test+0xb0:  53 99 49 13        fmul.d fs2,fs3,fs4,rtz
+    libdis_test+0xb4:  d3 29 5a 13        fmul.d fs3,fs4,fs5,rdn
+    libdis_test+0xb8:  53 ba 6a 13        fmul.d fs4,fs5,fs6,rup
+    libdis_test+0xbc:  d3 4a 7b 13        fmul.d fs5,fs6,fs7,rmm
+    libdis_test+0xc0:  53 f4 24 1b        fdiv.d fs0,fs1,fs2
+    libdis_test+0xc4:  d3 04 39 1b        fdiv.d fs1,fs2,fs3,rne
+    libdis_test+0xc8:  53 99 49 1b        fdiv.d fs2,fs3,fs4,rtz
+    libdis_test+0xcc:  d3 29 5a 1b        fdiv.d fs3,fs4,fs5,rdn
+    libdis_test+0xd0:  53 ba 6a 1b        fdiv.d fs4,fs5,fs6,rup
+    libdis_test+0xd4:  d3 4a 7b 1b        fdiv.d fs5,fs6,fs7,rmm
+    libdis_test+0xd8:  53 f4 04 5a        fsqrt.d fs0,fs1
+    libdis_test+0xdc:  d3 04 09 5a        fsqrt.d fs1,fs2,rne
+    libdis_test+0xe0:  53 99 09 5a        fsqrt.d fs2,fs3,rtz
+    libdis_test+0xe4:  d3 29 0a 5a        fsqrt.d fs3,fs4,rdn
+    libdis_test+0xe8:  53 ba 0a 5a        fsqrt.d fs4,fs5,rup
+    libdis_test+0xec:  d3 4a 0b 5a        fsqrt.d fs5,fs6,rmm
+    libdis_test+0xf0:  53 85 c5 22        fsgnj.d fa0,fa1,fa2
+    libdis_test+0xf4:  53 95 c5 22        fsgnjn.d fa0,fa1,fa2
+    libdis_test+0xf8:  53 a5 c5 22        fsgnjx.d fa0,fa1,fa2
+    libdis_test+0xfc:  53 85 c5 2a        fmin.d fa0,fa1,fa2
+    libdis_test+0x100: 53 95 c5 2a        fmax.d fa0,fa1,fa2
+    libdis_test+0x104: 53 f4 14 40        fcvt.s.d fs0,fs1
+    libdis_test+0x108: d3 04 19 40        fcvt.s.d fs1,fs2,rne
+    libdis_test+0x10c: 53 99 19 40        fcvt.s.d fs2,fs3,rtz
+    libdis_test+0x110: d3 29 1a 40        fcvt.s.d fs3,fs4,rdn
+    libdis_test+0x114: 53 ba 1a 40        fcvt.s.d fs4,fs5,rup
+    libdis_test+0x118: d3 4a 1b 40        fcvt.s.d fs5,fs6,rmm
+    libdis_test+0x11c: 53 85 05 42        fcvt.d.s fa0,fa1
+    libdis_test+0x120: 53 25 7e a2        feq.d a0,ft8,ft7
+    libdis_test+0x124: d3 15 7e a2        flt.d a1,ft8,ft7
+    libdis_test+0x128: 53 06 7e a2        fle.d a2,ft8,ft7
+    libdis_test+0x12c: d3 16 0e e2        fclass.d a3,ft8
+    libdis_test+0x130: d3 f2 00 c2        fcvt.w.d t0,ft1
+    libdis_test+0x134: 53 03 01 c2        fcvt.w.d t1,ft2,rne
+    libdis_test+0x138: d3 93 01 c2        fcvt.w.d t2,ft3,rtz
+    libdis_test+0x13c: 53 2e 02 c2        fcvt.w.d t3,ft4,rdn
+    libdis_test+0x140: d3 be 02 c2        fcvt.w.d t4,ft5,rup
+    libdis_test+0x144: 53 4f 03 c2        fcvt.w.d t5,ft6,rmm
+    libdis_test+0x148: d3 f2 10 c2        fcvt.wu.d t0,ft1
+    libdis_test+0x14c: 53 03 11 c2        fcvt.wu.d t1,ft2,rne
+    libdis_test+0x150: d3 93 11 c2        fcvt.wu.d t2,ft3,rtz
+    libdis_test+0x154: 53 2e 12 c2        fcvt.wu.d t3,ft4,rdn
+    libdis_test+0x158: d3 be 12 c2        fcvt.wu.d t4,ft5,rup
+    libdis_test+0x15c: 53 4f 13 c2        fcvt.wu.d t5,ft6,rmm
+    libdis_test+0x160: d3 80 03 d2        fcvt.d.w ft1,t2
+    libdis_test+0x164: d3 80 13 d2        fcvt.d.wu ft1,t2