--- /dev/null	Thu Aug 30 18:39:45 2018
+++ new/usr/src/test/util-tests/tests/dis/risc-v/tst.rv32f.out	Thu Aug 30 18:39:45 2018
@@ -0,0 +1,95 @@
+    libdis_test:       87 20 09 00        flw ft1,0x0(s2)
+    libdis_test+0x4:   87 20 c9 ff        flw ft1,-0x4(s2)
+    libdis_test+0x8:   87 20 29 04        flw ft1,0x42(s2)
+    libdis_test+0xc:   27 20 19 00        fsw ft1,0x0(s2)
+    libdis_test+0x10:  27 2e 19 fe        fsw ft1,-0x4(s2)
+    libdis_test+0x14:  27 21 19 04        fsw ft1,0x42(s2)
+    libdis_test+0x18:  c3 70 31 20        fmadd.s ft1,ft2,ft3,ft4
+    libdis_test+0x1c:  c3 00 31 20        fmadd.s ft1,ft2,ft3,ft4,rne
+    libdis_test+0x20:  c3 10 31 20        fmadd.s ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x24:  c3 20 31 20        fmadd.s ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x28:  c3 30 31 20        fmadd.s ft1,ft2,ft3,ft4,rup
+    libdis_test+0x2c:  c3 40 31 20        fmadd.s ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x30:  c7 70 31 20        fmsub.s ft1,ft2,ft3,ft4
+    libdis_test+0x34:  c7 00 31 20        fmsub.s ft1,ft2,ft3,ft4,rne
+    libdis_test+0x38:  c7 10 31 20        fmsub.s ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x3c:  c7 20 31 20        fmsub.s ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x40:  c7 30 31 20        fmsub.s ft1,ft2,ft3,ft4,rup
+    libdis_test+0x44:  c7 40 31 20        fmsub.s ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x48:  cb 70 31 20        fnmsub.s ft1,ft2,ft3,ft4
+    libdis_test+0x4c:  cb 00 31 20        fnmsub.s ft1,ft2,ft3,ft4,rne
+    libdis_test+0x50:  cb 10 31 20        fnmsub.s ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x54:  cb 20 31 20        fnmsub.s ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x58:  cb 30 31 20        fnmsub.s ft1,ft2,ft3,ft4,rup
+    libdis_test+0x5c:  cb 40 31 20        fnmsub.s ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x60:  cf 70 31 20        fnmadd.s ft1,ft2,ft3,ft4
+    libdis_test+0x64:  cf 00 31 20        fnmadd.s ft1,ft2,ft3,ft4,rne
+    libdis_test+0x68:  cf 10 31 20        fnmadd.s ft1,ft2,ft3,ft4,rtz
+    libdis_test+0x6c:  cf 20 31 20        fnmadd.s ft1,ft2,ft3,ft4,rdn
+    libdis_test+0x70:  cf 30 31 20        fnmadd.s ft1,ft2,ft3,ft4,rup
+    libdis_test+0x74:  cf 40 31 20        fnmadd.s ft1,ft2,ft3,ft4,rmm
+    libdis_test+0x78:  53 f4 24 01        fadd.s fs0,fs1,fs2
+    libdis_test+0x7c:  d3 04 39 01        fadd.s fs1,fs2,fs3,rne
+    libdis_test+0x80:  53 99 49 01        fadd.s fs2,fs3,fs4,rtz
+    libdis_test+0x84:  d3 29 5a 01        fadd.s fs3,fs4,fs5,rdn
+    libdis_test+0x88:  53 ba 6a 01        fadd.s fs4,fs5,fs6,rup
+    libdis_test+0x8c:  d3 4a 7b 01        fadd.s fs5,fs6,fs7,rmm
+    libdis_test+0x90:  53 f4 24 09        fsub.s fs0,fs1,fs2
+    libdis_test+0x94:  d3 04 39 09        fsub.s fs1,fs2,fs3,rne
+    libdis_test+0x98:  53 99 49 09        fsub.s fs2,fs3,fs4,rtz
+    libdis_test+0x9c:  d3 29 5a 09        fsub.s fs3,fs4,fs5,rdn
+    libdis_test+0xa0:  53 ba 6a 09        fsub.s fs4,fs5,fs6,rup
+    libdis_test+0xa4:  d3 4a 7b 09        fsub.s fs5,fs6,fs7,rmm
+    libdis_test+0xa8:  53 f4 24 11        fmul.s fs0,fs1,fs2
+    libdis_test+0xac:  d3 04 39 11        fmul.s fs1,fs2,fs3,rne
+    libdis_test+0xb0:  53 99 49 11        fmul.s fs2,fs3,fs4,rtz
+    libdis_test+0xb4:  d3 29 5a 11        fmul.s fs3,fs4,fs5,rdn
+    libdis_test+0xb8:  53 ba 6a 11        fmul.s fs4,fs5,fs6,rup
+    libdis_test+0xbc:  d3 4a 7b 11        fmul.s fs5,fs6,fs7,rmm
+    libdis_test+0xc0:  53 f4 24 19        fdiv.s fs0,fs1,fs2
+    libdis_test+0xc4:  d3 04 39 19        fdiv.s fs1,fs2,fs3,rne
+    libdis_test+0xc8:  53 99 49 19        fdiv.s fs2,fs3,fs4,rtz
+    libdis_test+0xcc:  d3 29 5a 19        fdiv.s fs3,fs4,fs5,rdn
+    libdis_test+0xd0:  53 ba 6a 19        fdiv.s fs4,fs5,fs6,rup
+    libdis_test+0xd4:  d3 4a 7b 19        fdiv.s fs5,fs6,fs7,rmm
+    libdis_test+0xd8:  53 f4 04 58        fsqrt.s fs0,fs1
+    libdis_test+0xdc:  d3 04 09 58        fsqrt.s fs1,fs2,rne
+    libdis_test+0xe0:  53 99 09 58        fsqrt.s fs2,fs3,rtz
+    libdis_test+0xe4:  d3 29 0a 58        fsqrt.s fs3,fs4,rdn
+    libdis_test+0xe8:  53 ba 0a 58        fsqrt.s fs4,fs5,rup
+    libdis_test+0xec:  d3 4a 0b 58        fsqrt.s fs5,fs6,rmm
+    libdis_test+0xf0:  53 85 c5 20        fsgnj.s fa0,fa1,fa2
+    libdis_test+0xf4:  53 95 c5 20        fsgnjn.s fa0,fa1,fa2
+    libdis_test+0xf8:  53 a5 c5 20        fsgnjx.s fa0,fa1,fa2
+    libdis_test+0xfc:  53 85 c5 28        fmin.s fa0,fa1,fa2
+    libdis_test+0x100: 53 95 c5 28        fmax.s fa0,fa1,fa2
+    libdis_test+0x104: d3 f2 00 c0        fcvt.w.s t0,ft1
+    libdis_test+0x108: 53 03 01 c0        fcvt.w.s t1,ft2,rne
+    libdis_test+0x10c: d3 93 01 c0        fcvt.w.s t2,ft3,rtz
+    libdis_test+0x110: 53 2e 02 c0        fcvt.w.s t3,ft4,rdn
+    libdis_test+0x114: d3 be 02 c0        fcvt.w.s t4,ft5,rup
+    libdis_test+0x118: 53 4f 03 c0        fcvt.w.s t5,ft6,rmm
+    libdis_test+0x11c: d3 f2 10 c0        fcvt.wu.s t0,ft1
+    libdis_test+0x120: 53 03 11 c0        fcvt.wu.s t1,ft2,rne
+    libdis_test+0x124: d3 93 11 c0        fcvt.wu.s t2,ft3,rtz
+    libdis_test+0x128: 53 2e 12 c0        fcvt.wu.s t3,ft4,rdn
+    libdis_test+0x12c: d3 be 12 c0        fcvt.wu.s t4,ft5,rup
+    libdis_test+0x130: 53 4f 13 c0        fcvt.wu.s t5,ft6,rmm
+    libdis_test+0x134: d3 82 00 e0        fmv.x.w t0,ft1
+    libdis_test+0x138: 53 25 7e a0        feq.s a0,ft8,ft7
+    libdis_test+0x13c: d3 15 7e a0        flt.s a1,ft8,ft7
+    libdis_test+0x140: 53 06 7e a0        fle.s a2,ft8,ft7
+    libdis_test+0x144: d3 16 0e e0        fclass.s a3,ft8
+    libdis_test+0x148: d3 f0 03 d0        fcvt.s.w ft1,t2
+    libdis_test+0x14c: 53 01 0e d0        fcvt.s.w ft2,t3,rne
+    libdis_test+0x150: d3 91 0e d0        fcvt.s.w ft3,t4,rtz
+    libdis_test+0x154: 53 22 0f d0        fcvt.s.w ft4,t5,rdn
+    libdis_test+0x158: d3 b2 0f d0        fcvt.s.w ft5,t6,rup
+    libdis_test+0x15c: 53 c3 0f d0        fcvt.s.w ft6,t6,rmm
+    libdis_test+0x160: d3 f0 13 d0        fcvt.s.wu ft1,t2
+    libdis_test+0x164: 53 01 1e d0        fcvt.s.wu ft2,t3,rne
+    libdis_test+0x168: d3 91 1e d0        fcvt.s.wu ft3,t4,rtz
+    libdis_test+0x16c: 53 22 1f d0        fcvt.s.wu ft4,t5,rdn
+    libdis_test+0x170: d3 b2 1f d0        fcvt.s.wu ft5,t6,rup
+    libdis_test+0x174: 53 c3 1f d0        fcvt.s.wu ft6,t6,rmm
+    libdis_test+0x178: 53 0d 0d f0        fmv.w.x fs10,s10